#
# spec file for package python-pycurl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pycurl
Version:        7.19.0
Release:        4.5
Url:            http://pycurl.sourceforge.net/
Summary:        PycURL -- cURL library module
License:        LGPL-2.1+ and MIT
Group:          Development/Languages/Python
Source:         http://pycurl.sourceforge.net/download/pycurl-%{version}.tar.gz
Patch0:         pycurl-7.18.1-nostaticlibs.patch
Patch1:         pycurl-no-runtime-curlvercheck.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libcurl-devel >= 7.19.0
BuildRequires:  openssl-devel
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%endif
Provides:       python-curl = %{version}
Obsoletes:      python-curl < %{version}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
This module provides bindings for the cURL library.

%package doc
Summary:        Documentation for python-curl
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description doc
This module provides bindings for the cURL library.

This package contains documentation and examples.

%prep
%setup -q -n pycurl-%{version}
%patch0
%patch1 -p1
%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{_datadir}/doc # Remove wrongly installed junk

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{python_sitearch}/*

%files doc
%defattr(-,root,root)
%doc examples doc/*.html

%changelog
* Fri Aug 15 2014 iartarisi@suse.com
- Drop pycurl-python3.patch: patch is unneeded since we're
  not building this package for python3
* Fri Aug 30 2013 crrodriguez@opensuse.org
- remove runtime curl version check and __DATE__ __TIME__ usage
  (pycurl-no-runtime-curlvercheck.patch)
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Sat Apr 28 2012 highwaystar.ru@gmail.com
- added python3 package
- spec file slighly cleaned (old buildroot macro replaced)
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Tue Sep 20 2011 saschpe@suse.de
- Renamed package to 'python-pycurl' to match upstream name
- Removed authors from description
* Wed Feb 10 2010 jfunk@funktronics.ca
- Update to 7.19.0:
  * Added CURLFILE, ADDRESS_SCOPE and ISSUERCERT options,
    as well as the APPCONNECT_TIME info.
  * Added PRIMARY_IP info (patch by
    Yuhui H <eyecat at gmail.com>).
  * Added support for curl_easy_reset through a
    new 'reset' method on curl objects
    (patch by Nick Pilon <npilon at oreilly.com>).
  * Added support for OPENSOCKET callbacks.
    See 'tests/test_opensocket.py' for example
    usage (patch by Thomas Hunger <teh at camvine.com>).
- Version 7.18.2:
  * Added REDIRECT_URL info and M_MAXCONNECTS option
    (patch by Yuhui H <eyecat at gmail.com>).
  * Added socket_action() method to CurlMulti objects.
    See 'tests/test_multi_socket_select.py' for example
    usage (patch by Yuhui H <eyecat at gmail.com>).
  * Added AUTOREFERER option.
  * Allow resetting some list operations (HTTPHEADER,
    QUOTE, POSTQUOTE, PREQUOTE) by passing an empty
    list to setopt (patch by Jim Patterson).
- Split off doc subpackage
* Fri Apr 25 2008 jfunk@funktronics.ca
- Update to 7.18.1:
  * Added POST301, SSH_HOST_PUBLIC_KEY_MD5,
    COPYPOSTFIELDS and PROXY_TRANSFER_MODE options.
  * Check for static libs in setup.py to better detect
    whether libcurl was linked with OpenSSL or GNUTLS.
  * PycURL is now dual licensed under the LGPL and
    a license similar to the cURL license (an MIT/X
    derivate).
- Version 7.16.4:
  * Allow any callable object as the callback function.
    This change comes handy when you would like to use objects
    which are callable but are not functions or methods, for
    example those objects created by the functions in the functools
    module (patch by Daniel Pena Arteaga <dpena at ph.tum.de>).
  * Added NEW_DIRECTORY_PERMS and NEW_FILE_PERMS options.
- Version 7.16.2.1:
  * Added IOCMD_NOP and IOCMD_RESTARTREAD for ioctl callback
    handling (patch by Mark Eichin).
  * Use Py_ssize_t where appropriate for Python 2.5 and 64-bit
    compatibility.  This fixes the problem reported by Aaron
    Hill, where the exception "pycurl.error: (2, '')" is thrown
    when calling setopt(pycurl.POSTFIELDS,...) on 64-bit
    platforms.
- Version 7.16.2:
  * Added options HTTP_TRANSFER_DECODING, HTTP_CONTENT_DECODING,
    TIMEOUT_MS, CONNECTTIMEOUT_MS from libcurl 7.16.2.
  * Right-strip URLs read from files in the test scripts
    to avoid sending requests with '\n' at the end.
- Version 7.16.1:
  * Added constants for all libcurl (error) return codes.  They
    are named the same as the macro constants in curl.h but prefixed
    with E_ instead of CURLE.  Return codes for the multi API are
    prefixed with M_ instead of CURLM.
  * Added CURLOPT_FTP_SSL_CCC, CURLOPT_SSH_PUBLIC_KEYFILE,
    CURLOPT_SSH_PRIVATE_KEYFILE, CURLOPT_SSH_AUTH_TYPES.
  * Removed CLOSEPOLICY and friends since this option is now
    deprecated in libcurl.
  * Set the _use_datetime attribute on the CURLTransport class
    to unbreak xmlrpc_curl.py on Python 2.5.
- Version 7.16.0 [no public release]:
  * Added CURLOPT_SSL_SESSIONID_CACHE.
  * Removed SOURCE_* options since they are no longer
    supported by libcurl.
* Mon Oct  2 2006 cthiel@suse.de
- fix build on older distributions
* Sun Oct  1 2006 cthiel@suse.de
- update to version 7.15.5.1
  * Added test for basic ftp usage (tests/test_ftp.py).
  * Fix broken ssl mutex lock funcction when using GNU TLS
* Thu Sep 21 2006 cthiel@suse.de
- fix build with python 2.5
* Mon Aug 14 2006 cthiel@suse.de
- update to version 7.15.5
  * Added CURLOPT_FTP_ALTERNATIVE_TO_USER, CURLOPT_MAX_SEND_SPEED_LARGE, and
    CURLOPT_MAX_RECV_SPEED_LARGE.
- requires curl >= 7.15.5
* Sat Aug  5 2006 cthiel@suse.de
- initial package (version 7.15.4.2)
